{
    "name": "lkod-catalog-frontend",
    "version": "1.2.9",
    "private": true,
    "browserslist": [
        "last 2 versions, not dead, > 0.2%",
        "maintained node versions"
    ],
    "scripts": {
        "dev": "next dev | pino-pretty",
        "build": "next build",
        "start": "next start",
        "lint": "next lint",
        "ts-lint": "tsc --noEmit -p tsconfig.json",
        "style": "stylelint **/*.scss --fix",
        "style:check": "stylelint **/*.scss",
        "prepare": "husky install",
        "test": "jest",
        "test:watch": "jest --watch",
        "code-coverage": "jest --coverage"
    },
    "dependencies": {
        "fast-deep-equal": "^3.1.3",
        "html-react-parser": "^5.1.18",
        "next": "^14.2.16",
        "next-plausible": "^3.12.2",
        "pino": "^8.21.0",
        "react": "^18.3.1",
        "react-dom": "^18.3.1",
        "sharp": "^0.33.5"
    },
    "devDependencies": {
        "@commitlint/cli": "^17.8.1",
        "@commitlint/config-conventional": "^17.8.1",
        "@testing-library/jest-dom": "^6.6.2",
        "@testing-library/react": "^16.0.1",
        "@types/jest": "^29.5.14",
        "@types/node": "^20.17.0",
        "@types/qs": "^6.9.16",
        "@types/react": "^18.3.12",
        "@types/react-dom": "^18.3.1",
        "@typescript-eslint/eslint-plugin": "^6.21.0",
        "@typescript-eslint/parser": "^6.21.0",
        "eslint": "^8.57.1",
        "eslint-config-next": "^14.2.16",
        "eslint-config-prettier": "^9.1.0",
        "eslint-plugin-prettier": "^5.2.1",
        "eslint-plugin-react": "^7.37.2",
        "eslint-plugin-react-hooks": "^4.6.2",
        "eslint-plugin-simple-import-sort": "^10.0.0",
        "husky": "^8.0.3",
        "jest": "^29.7.0",
        "jest-environment-jsdom": "^29.7.0",
        "lint-staged": "^15.2.10",
        "pino-pretty": "^11.3.0",
        "postcss-scss": "^4.0.9",
        "prettier": "^3.3.3",
        "qs": "^6.13.0",
        "sass": "^1.80.4",
        "stylelint": "^16.10.0",
        "stylelint-config-prettier-scss": "^1.0.0",
        "stylelint-config-standard-scss": "^13.1.0",
        "ts-jest": "^29.2.5",
        "typescript": "^5.6.3"
    },
    "resolutions": {
        "postcss": "^8.4.18"
    }
}